[Mesa-dev] [PATCH v2 06/23] glsl/tests/warnings-test: error if zero tests were executed

Emil Velikov emil.l.velikov at gmail.com
Fri Mar 17 13:19:32 UTC 2017


From: Emil Velikov <emil.velikov at collabora.com>

We don't want to lie ourselves that 'everything is fine' when no tests
were found/ran.

Signed-off-by: Emil Velikov <emil.velikov at collabora.com>
---
 src/compiler/glsl/tests/warnings-test.sh | 5 +++++
 1 file changed, 5 insertions(+)

diff --git a/src/compiler/glsl/tests/warnings-test.sh b/src/compiler/glsl/tests/warnings-test.sh
index b370fc97223..7e3767481a7 100755
--- a/src/compiler/glsl/tests/warnings-test.sh
+++ b/src/compiler/glsl/tests/warnings-test.sh
@@ -42,6 +42,11 @@ for test in $srcdir/$tests_relative_dir/*.vert; do
     fi
 done
 
+if [ $total -eq 0 ]; then
+    echo "Could not find any tests."
+    exit 1
+fi
+
 echo ""
 echo "$pass/$total tests returned correct results"
 echo ""
-- 
2.11.1



More information about the mesa-dev mailing list